net.corda.core.contracts

## Interface DummyContract.State

- All Superinterfaces:
    ContractState
  All Known Implementing Classes:
    DummyContract.MultiOwnerState, DummyContract.SingleOwnerState
  Enclosing class:
    DummyContract

      public static DummyContract.State
      extends ContractState

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMagicNumber()`

    - ### Methods inherited from interface net.corda.core.contracts.ContractState

      `getContract, getParticipants`

- - ### Method Detail

    - #### getMagicNumber

          int getMagicNumber()